// TestTDXDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Test.h"
#include "TestTDXDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestTDXDialog dialog


CTestTDXDialog::CTestTDXDialog(LONG lConfigID, CWnd* pParent /*=NULL*/)
	: CDialog(CTestTDXDialog::IDD, pParent), m_regInfo(lConfigID)
{
	//{{AFX_DATA_INIT(CTestTDXDialog)
	m_strEdit = _T("");
	//}}AFX_DATA_INIT
}


void CTestTDXDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestTDXDialog)
	DDX_Text(pDX, IDC_EDIT1, m_strEdit);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTestTDXDialog, CDialog)
	//{{AFX_MSG_MAP(CTestTDXDialog)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestTDXDialog message handlers

int CTestTDXDialog::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here
	if (m_regInfo.Initialize() == FALSE) return -1;
	
	return 0;
}

BOOL CTestTDXDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if (FALSE == GetRegistry()) AfxMessageBox(_T("Can not initialize TDX"));
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CTestTDXDialog::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
	BOOL bRet = SetRegistry();
	if (TRUE != bRet) AfxMessageBox(_T("Cannot save data"));

}

BOOL CTestTDXDialog::SetRegistry()
{

	return m_regInfo.SetTestValue(m_strEdit);

}

BOOL CTestTDXDialog::GetRegistry()
{

	CString strValue;
	if(m_regInfo.GetTestValue(strValue) == FALSE) return FALSE;

	m_strEdit = strValue;
	return TRUE;

}
